MRPT  1.9.9
External dependency: opengl+glut

Back to list of dependencies

Dependency: opengl and glut


This optional library is required to render 3D graphics. It is fundamentally used by the classes in mrpt::opengl.

Note however that nothing prevents you from creating objects in mrpt::opengl, manipulating them, building 3D scenes, saving them to disk, etc. even without OpenGL support. An exception will be raised only if you try to render them in a mrpt::gui::CDisplayWindow3D or by any other mean.




Page generated by Doxygen 1.8.14 for MRPT 1.9.9 Git: 24b95e159 Thu Jan 23 01:15:46 2020 +0100 at jue ene 23 01:30:10 CET 2020